#include "../ui.h"

void ui_ProductTestScreen_screen_init(void)
{
    ui_ProductTestScreen = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_ProductTestScreen, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ProductTestScreen, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestScreen, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_color(ui_ProductTestScreen, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestScreen, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ProductTestScreen, &ui_font_SourceHanSansCNRegular25, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ProductTestLabel, 0);
    lv_obj_set_y(ui_ProductTestLabel, 25);
    lv_obj_set_align(ui_ProductTestLabel, LV_ALIGN_TOP_MID);
    lv_label_set_text(ui_ProductTestLabel, "产线测试");

    ui_ProductTestTopBarPanel = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestTopBarPanel, 480);
    lv_obj_set_height(ui_ProductTestTopBarPanel, 100);
    lv_obj_set_align(ui_ProductTestTopBarPanel, LV_ALIGN_TOP_MID);
    lv_obj_clear_flag(ui_ProductTestTopBarPanel, LV_OBJ_FLAG_GESTURE_BUBBLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ProductTestTopBarPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestTopBarPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestTopBarPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ProductTestTopBarPanel, lv_color_hex(0x436784), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ProductTestTopBarPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ProductTestTopBarPanel, 2, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ProductTestTopBarPanel, LV_BORDER_SIDE_BOTTOM, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestTopBarPromptLabel = lv_label_create(ui_ProductTestTopBarPanel);
    lv_obj_set_width(ui_ProductTestTopBarPromptLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestTopBarPromptLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestTopBarPromptLabel, LV_ALIGN_BOTTOM_MID);
    lv_label_set_text(ui_ProductTestTopBarPromptLabel, "顶栏下滑测试背景色");
    lv_obj_set_style_text_color(ui_ProductTestTopBarPromptLabel, lv_color_hex(0x808080), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestTopBarPromptLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestRelaySwitch1 = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelaySwitch1, 82);
    lv_obj_set_height(ui_ProductTestRelaySwitch1, 38);
    lv_obj_clear_flag(ui_ProductTestRelaySwitch1, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch1, lv_color_hex(0x373D45), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch1, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch1, lv_color_hex(0xFF8D17), LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch1, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch1, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch1, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestRelaySwitch1, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestRelaySwitch1, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestRelaySwitch1, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestRelaySwitch1, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestRelayLabel1 = lv_label_create(ui_ProductTestRelaySwitch1);
    lv_obj_set_width(ui_ProductTestRelayLabel1, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestRelayLabel1, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestRelayLabel1, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_ProductTestRelayLabel1, "继电器1");
    lv_obj_set_style_text_color(ui_ProductTestRelayLabel1, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestRelayLabel1, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ProductTestRelayLabel1, &ui_font_SourceHanSansCNRegular14,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestRelaySwitch2 = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelaySwitch2, 82);
    lv_obj_set_height(ui_ProductTestRelaySwitch2, 38);
    lv_obj_set_align(ui_ProductTestRelaySwitch2, LV_ALIGN_TOP_RIGHT);
    lv_obj_clear_flag(ui_ProductTestRelaySwitch2, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch2, lv_color_hex(0x373D45), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch2, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch2, lv_color_hex(0xFF8D17), LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch2, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch2, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch2, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestRelaySwitch2, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestRelaySwitch2, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestRelaySwitch2, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestRelaySwitch2, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestRelayLabel2 = lv_label_create(ui_ProductTestRelaySwitch2);
    lv_obj_set_width(ui_ProductTestRelayLabel2, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestRelayLabel2, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestRelayLabel2, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_ProductTestRelayLabel2, "继电器2");
    lv_obj_set_style_text_color(ui_ProductTestRelayLabel2, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestRelayLabel2, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ProductTestRelayLabel2, &ui_font_SourceHanSansCNRegular14,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestRelaySwitch3 = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelaySwitch3, 82);
    lv_obj_set_height(ui_ProductTestRelaySwitch3, 38);
    lv_obj_set_align(ui_ProductTestRelaySwitch3, LV_ALIGN_BOTTOM_LEFT);
    lv_obj_clear_flag(ui_ProductTestRelaySwitch3, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch3, lv_color_hex(0x373D45), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch3, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch3, lv_color_hex(0xFF8D17), LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch3, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch3, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch3, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestRelaySwitch3, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestRelaySwitch3, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestRelaySwitch3, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestRelaySwitch3, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestRelayLabel3 = lv_label_create(ui_ProductTestRelaySwitch3);
    lv_obj_set_width(ui_ProductTestRelayLabel3, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestRelayLabel3, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestRelayLabel3, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_ProductTestRelayLabel3, "继电器3");
    lv_obj_set_style_text_color(ui_ProductTestRelayLabel3, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestRelayLabel3, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ProductTestRelayLabel3, &ui_font_SourceHanSansCNRegular14,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestRelaySwitch4 = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelaySwitch4, 82);
    lv_obj_set_height(ui_ProductTestRelaySwitch4, 38);
    lv_obj_set_x(ui_ProductTestRelaySwitch4, 0);
    lv_obj_set_y(ui_ProductTestRelaySwitch4, -50);
    lv_obj_set_align(ui_ProductTestRelaySwitch4, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ProductTestRelaySwitch4, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch4, lv_color_hex(0x373D45), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch4, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch4, lv_color_hex(0xFF8D17), LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch4, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch4, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch4, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestRelaySwitch4, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestRelaySwitch4, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestRelaySwitch4, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestRelaySwitch4, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestRelayLabel4 = lv_label_create(ui_ProductTestRelaySwitch4);
    lv_obj_set_width(ui_ProductTestRelayLabel4, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestRelayLabel4, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestRelayLabel4, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_ProductTestRelayLabel4, "继电器4");
    lv_obj_set_style_text_color(ui_ProductTestRelayLabel4, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestRelayLabel4, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ProductTestRelayLabel4, &ui_font_SourceHanSansCNRegular14,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestRelaySwitch5 = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelaySwitch5, 82);
    lv_obj_set_height(ui_ProductTestRelaySwitch5, 38);
    lv_obj_set_align(ui_ProductTestRelaySwitch5, LV_ALIGN_BOTTOM_RIGHT);
    lv_obj_clear_flag(ui_ProductTestRelaySwitch5, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch5, lv_color_hex(0x373D45), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch5, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch5, lv_color_hex(0xFF8D17), LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch5, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestRelaySwitch5, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelaySwitch5, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestRelaySwitch5, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestRelaySwitch5, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestRelaySwitch5, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestRelaySwitch5, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestRelayLabel5 = lv_label_create(ui_ProductTestRelaySwitch5);
    lv_obj_set_width(ui_ProductTestRelayLabel5, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestRelayLabel5, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestRelayLabel5, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_ProductTestRelayLabel5, "继电器5");
    lv_obj_set_style_text_color(ui_ProductTestRelayLabel5, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestRelayLabel5, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ProductTestRelayLabel5, &ui_font_SourceHanSansCNRegular14,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestRelay4LevelPanel1 = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelay4LevelPanel1, 45);
    lv_obj_set_height(ui_ProductTestRelay4LevelPanel1, 6);
    lv_obj_set_x(ui_ProductTestRelay4LevelPanel1, 166);
    lv_obj_set_y(ui_ProductTestRelay4LevelPanel1, -40);
    lv_obj_set_align(ui_ProductTestRelay4LevelPanel1, LV_ALIGN_LEFT_MID);
    lv_obj_add_flag(ui_ProductTestRelay4LevelPanel1, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestRelay4LevelPanel1, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ProductTestRelay4LevelPanel1, lv_color_hex(0x1E2125), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4LevelPanel1, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ProductTestRelay4LevelPanel1, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelay4LevelPanel1, lv_color_hex(0xFF8D17), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4LevelPanel1, 255, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_ProductTestRelay4LevelPanel2 = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelay4LevelPanel2, 45);
    lv_obj_set_height(ui_ProductTestRelay4LevelPanel2, 6);
    lv_obj_set_x(ui_ProductTestRelay4LevelPanel2, 218);
    lv_obj_set_y(ui_ProductTestRelay4LevelPanel2, -40);
    lv_obj_set_align(ui_ProductTestRelay4LevelPanel2, LV_ALIGN_LEFT_MID);
    lv_obj_add_flag(ui_ProductTestRelay4LevelPanel2, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestRelay4LevelPanel2, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ProductTestRelay4LevelPanel2, lv_color_hex(0x1E2125), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4LevelPanel2, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ProductTestRelay4LevelPanel2, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelay4LevelPanel2, lv_color_hex(0xFF8D17), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4LevelPanel2, 255, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_ProductTestRelay4LevelPanel3 = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelay4LevelPanel3, 45);
    lv_obj_set_height(ui_ProductTestRelay4LevelPanel3, 6);
    lv_obj_set_x(ui_ProductTestRelay4LevelPanel3, 270);
    lv_obj_set_y(ui_ProductTestRelay4LevelPanel3, -40);
    lv_obj_set_align(ui_ProductTestRelay4LevelPanel3, LV_ALIGN_LEFT_MID);
    lv_obj_add_flag(ui_ProductTestRelay4LevelPanel3, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestRelay4LevelPanel3, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ProductTestRelay4LevelPanel3, lv_color_hex(0x1E2125), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4LevelPanel3, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ProductTestRelay4LevelPanel3, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestRelay4LevelPanel3, lv_color_hex(0xFF8D17), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4LevelPanel3, 255, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_ProductTestRelay4MinusButtonPanel = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelay4MinusButtonPanel, 56);
    lv_obj_set_height(ui_ProductTestRelay4MinusButtonPanel, 64);
    lv_obj_set_x(ui_ProductTestRelay4MinusButtonPanel, 110);
    lv_obj_set_y(ui_ProductTestRelay4MinusButtonPanel, -40);
    lv_obj_set_align(ui_ProductTestRelay4MinusButtonPanel, LV_ALIGN_LEFT_MID);
    lv_obj_add_flag(ui_ProductTestRelay4MinusButtonPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestRelay4MinusButtonPanel,
                      LV_OBJ_FLAG_GESTURE_BUBBLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ProductTestRelay4MinusButtonPanel, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4MinusButtonPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ProductTestRelay4MinusButtonPanel, &ui_img_20_return_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ProductTestRelay4MinusButtonPanel, LV_BORDER_SIDE_NONE,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_recolor(ui_ProductTestRelay4MinusButtonPanel, lv_color_hex(0xFF8D17),
                                    LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_img_recolor_opa(ui_ProductTestRelay4MinusButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_ProductTestRelay4PlusButtonPanel = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestRelay4PlusButtonPanel, 56);
    lv_obj_set_height(ui_ProductTestRelay4PlusButtonPanel, 64);
    lv_obj_set_x(ui_ProductTestRelay4PlusButtonPanel, 315);
    lv_obj_set_y(ui_ProductTestRelay4PlusButtonPanel, -40);
    lv_obj_set_align(ui_ProductTestRelay4PlusButtonPanel, LV_ALIGN_LEFT_MID);
    lv_obj_add_flag(ui_ProductTestRelay4PlusButtonPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestRelay4PlusButtonPanel,
                      LV_OBJ_FLAG_GESTURE_BUBBLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ProductTestRelay4PlusButtonPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestRelay4PlusButtonPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ProductTestRelay4PlusButtonPanel, &ui_img_20_return_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ProductTestRelay4PlusButtonPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_recolor(ui_ProductTestRelay4PlusButtonPanel, lv_color_hex(0xFF8D17),
                                    LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_img_recolor_opa(ui_ProductTestRelay4PlusButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_ProductTestDateTimeLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestDateTimeLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestDateTimeLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ProductTestDateTimeLabel, 83);
    lv_obj_set_y(ui_ProductTestDateTimeLabel, -120);
    lv_obj_set_align(ui_ProductTestDateTimeLabel, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_ProductTestDateTimeLabel, "2025-01-01 08:00:00");
    lv_obj_set_style_text_color(ui_ProductTestDateTimeLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestDateTimeLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestWeekLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestWeekLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestWeekLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ProductTestWeekLabel, 323);
    lv_obj_set_y(ui_ProductTestWeekLabel, -120);
    lv_obj_set_align(ui_ProductTestWeekLabel, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_ProductTestWeekLabel, "星期三");
    lv_obj_set_style_text_color(ui_ProductTestWeekLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestWeekLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestDateTimeWeekSwitch = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestDateTimeWeekSwitch, 82);
    lv_obj_set_height(ui_ProductTestDateTimeWeekSwitch, 38);
    lv_obj_set_x(ui_ProductTestDateTimeWeekSwitch, 0);
    lv_obj_set_y(ui_ProductTestDateTimeWeekSwitch, -80);
    lv_obj_set_align(ui_ProductTestDateTimeWeekSwitch, LV_ALIGN_CENTER);
    lv_obj_add_state(ui_ProductTestDateTimeWeekSwitch, LV_STATE_CHECKED);       /// States
    lv_obj_add_flag(ui_ProductTestDateTimeWeekSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestDateTimeWeekSwitch, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestDateTimeWeekSwitch, lv_color_hex(0x373D45),
                              LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestDateTimeWeekSwitch, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestDateTimeWeekSwitch, lv_color_hex(0xFF8D17),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestDateTimeWeekSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestDateTimeWeekSwitch, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestDateTimeWeekSwitch, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestDateTimeWeekSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestDateTimeWeekSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestDateTimeWeekSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestDateTimeWeekSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestCurrentTemperatureLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestCurrentTemperatureLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestCurrentTemperatureLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestCurrentTemperatureLabel, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_ProductTestCurrentTemperatureLabel, "当前温度: 0.0℃");
    lv_obj_set_style_text_color(ui_ProductTestCurrentTemperatureLabel, lv_color_hex(0xFFFFFF),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestCurrentTemperatureLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestNtcTemperatureLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestNtcTemperatureLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestNtcTemperatureLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ProductTestNtcTemperatureLabel, 0);
    lv_obj_set_y(ui_ProductTestNtcTemperatureLabel, 100);
    lv_obj_set_align(ui_ProductTestNtcTemperatureLabel, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_ProductTestNtcTemperatureLabel, "NTC温度: 0.0℃");
    lv_obj_set_style_text_color(ui_ProductTestNtcTemperatureLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestNtcTemperatureLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestTemperatureSwitch = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestTemperatureSwitch, 82);
    lv_obj_set_height(ui_ProductTestTemperatureSwitch, 38);
    lv_obj_set_x(ui_ProductTestTemperatureSwitch, 0);
    lv_obj_set_y(ui_ProductTestTemperatureSwitch, 100);
    lv_obj_set_align(ui_ProductTestTemperatureSwitch, LV_ALIGN_LEFT_MID);
    lv_obj_add_state(ui_ProductTestTemperatureSwitch, LV_STATE_CHECKED);       /// States
    lv_obj_add_flag(ui_ProductTestTemperatureSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestTemperatureSwitch, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestTemperatureSwitch, lv_color_hex(0x373D45),
                              LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestTemperatureSwitch, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestTemperatureSwitch, lv_color_hex(0xFF8D17),
                              LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestTemperatureSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestTemperatureSwitch, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestTemperatureSwitch, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestTemperatureSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestTemperatureSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestTemperatureSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestTemperatureSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestWifiRssiLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestWifiRssiLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestWifiRssiLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestWifiRssiLabel, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_ProductTestWifiRssiLabel, "WIFI RSSI: 0");
    lv_obj_set_style_text_color(ui_ProductTestWifiRssiLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestWifiRssiLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestWifiSwitch = lv_switch_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestWifiSwitch, 82);
    lv_obj_set_height(ui_ProductTestWifiSwitch, 38);
    lv_obj_set_x(ui_ProductTestWifiSwitch, 0);
    lv_obj_set_y(ui_ProductTestWifiSwitch, 100);
    lv_obj_set_align(ui_ProductTestWifiSwitch, LV_ALIGN_RIGHT_MID);
    lv_obj_add_state(ui_ProductTestWifiSwitch, LV_STATE_CHECKED);       /// States
    lv_obj_add_flag(ui_ProductTestWifiSwitch, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestWifiSwitch, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags

    lv_obj_set_style_bg_color(ui_ProductTestWifiSwitch, lv_color_hex(0x373D45), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestWifiSwitch, 255, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestWifiSwitch, lv_color_hex(0xFF8D17), LV_PART_INDICATOR | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ProductTestWifiSwitch, 255, LV_PART_INDICATOR | LV_STATE_CHECKED);

    lv_obj_set_style_bg_color(ui_ProductTestWifiSwitch, lv_color_hex(0xFFFFFF), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestWifiSwitch, 255, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ProductTestWifiSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ProductTestWifiSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ProductTestWifiSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ProductTestWifiSwitch, -4, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_ProductTestPromptLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestPromptLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestPromptLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ProductTestPromptLabel, 0);
    lv_obj_set_y(ui_ProductTestPromptLabel, -80);
    lv_obj_set_align(ui_ProductTestPromptLabel, LV_ALIGN_BOTTOM_MID);
    lv_label_set_text(ui_ProductTestPromptLabel, "右滑退出");
    lv_obj_set_style_text_color(ui_ProductTestPromptLabel, lv_color_hex(0x808080), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestPromptLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestFirmwareVersionLabel = lv_label_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestFirmwareVersionLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestFirmwareVersionLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestFirmwareVersionLabel, LV_ALIGN_BOTTOM_MID);
    lv_label_set_text(ui_ProductTestFirmwareVersionLabel, "程序版本:  0.0.0");
    lv_obj_set_style_text_color(ui_ProductTestFirmwareVersionLabel, lv_color_hex(0xFFFFFF),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestFirmwareVersionLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestPanel = lv_obj_create(ui_ProductTestScreen);
    lv_obj_set_width(ui_ProductTestPanel, 480);
    lv_obj_set_height(ui_ProductTestPanel, 480);
    lv_obj_set_align(ui_ProductTestPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ProductTestPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ProductTestPanel, LV_OBJ_FLAG_GESTURE_BUBBLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ProductTestPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestPanel, lv_color_hex(0xFF0000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestPanelPromptLabel = lv_label_create(ui_ProductTestPanel);
    lv_obj_set_width(ui_ProductTestPanelPromptLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ProductTestPanelPromptLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_ProductTestPanelPromptLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_ProductTestPanelPromptLabel, "  向上滑动退出测试");
    lv_obj_set_style_text_color(ui_ProductTestPanelPromptLabel, lv_color_hex(0x00FF00), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ProductTestPanelPromptLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_add_event_cb(ui_ProductTestTopBarPanel, ui_event_ProductTestTopBarPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestRelaySwitch1, ui_event_ProductTestRelaySwitch1, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestRelaySwitch2, ui_event_ProductTestRelaySwitch2, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestRelaySwitch3, ui_event_ProductTestRelaySwitch3, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestRelaySwitch4, ui_event_ProductTestRelaySwitch4, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestRelaySwitch5, ui_event_ProductTestRelaySwitch5, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestRelay4MinusButtonPanel, ui_event_ProductTestRelay4MinusButtonPanel, LV_EVENT_ALL,
                        NULL);
    lv_obj_add_event_cb(ui_ProductTestRelay4PlusButtonPanel, ui_event_ProductTestRelay4PlusButtonPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestDateTimeWeekSwitch, ui_event_ProductTestDateTimeWeekSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestTemperatureSwitch, ui_event_ProductTestTemperatureSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestWifiSwitch, ui_event_ProductTestWifiSwitch, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestPanel, ui_event_ProductTestPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestScreen, ui_event_ProductTestScreen, LV_EVENT_ALL, NULL);

}
